## glare 0.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0

SQLAlchemy<1.1.0,>=1.0.10 # MIT
alembic>=0.8.4 # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
WebOb>=1.2.3 # MIT
httplib2>=0.7.5 # MIT
oslo.config>=3.14.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
futurist!=0.15.0,>=0.11.0 # Apache-2.0
keystoneauth1>=2.10.0 # Apache-2.0
keystonemiddleware!=4.5.0,>=4.2.0 # Apache-2.0
WSME>=0.8 # MIT

# For paste.util.template used in keystone.common.template
Paste # MIT

jsonpatch>=1.1 # BSD
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
pyOpenSSL>=0.14 # Apache-2.0
# Required by openstack.common libraries
six>=1.9.0 # MIT

oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.versionedobjects>=1.13.0 # Apache-2.0

retrying!=1.3.0,>=1.2.3 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0

# Glance Store
glance-store>=0.18.0 # Apache-2.0

# Artifact repository
microversion-parse>=0.1.2 # Apache-2.0
semantic-version>=2.3.1 # BSD

# timeutils
iso8601>=0.1.11 # MIT
monotonic>=0.6 # Apache-2.0

=== debian/changelog ===
glare (0.1.0-3) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 11:29:48 +0100

glare (0.1.0-2) unstable; urgency=medium

  * Debconf translation:
    - it (Closes: #840004).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Oct 2016 13:31:34 +0200

glare (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #839231)

 -- Ivan Udovichenko <iudovichenko@mirantis.com>  Thu, 29 Sep 2016 03:43:05 +0300

=== debian/control ===
Source: glare
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Ivan Udovichenko <iudovichenko@mirantis.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 53~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx (>= 1.2.1),
Build-Depends-Indep: python-alembic (>= 0.8.4),
                     python-babel (>= 2.3.4),
                     python-bandit,
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-futurist (>= 0.11.0),
                     python-glance-store (>= 0.18.0),
                     python-hacking (>= 0.10.0),
                     python-httplib2 (>= 0.7.5),
                     python-iso8601 (>= 0.1.11),
                     python-jsonpatch (>= 1.1),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystonemiddleware (>= 4.2.0),
                     python-microversion-parse (>= 0.1.2),
                     python-mock (>= 2.0),
                     python-monotonic (>= 0.6),
                     python-mox3 (>= 0.7.0),
                     python-mysqldb (>= 0.6.2),
                     python-openssl (>= 0.14),
                     python-os-api-ref,
                     python-os-testr (>= 0.7.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslo.versionedobjects (>= 1.13.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-psutil (>= 1.1.1),
                     python-psycopg2 (>= 2.5),
                     python-qpid,
                     python-reno,
                     python-requests (>= 2.10.0),
                     python-retrying (>= 1.2.3),
                     python-routes (>= 1.12.3),
                     python-semantic-version (>= 2.3.1),
                     python-sendfile (>= 2.0.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-swiftclient (>= 2.2.0),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-wsme (>= 0.8),
                     python-xattr (>= 0.4),
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-glare?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-glare -b debian/newton
Homepage: https://github.com/openstack/glare

Package: python-glare
Architecture: all
Section: python
Depends: python-alembic (>= 0.8.4),
         python-eventlet (>= 0.18.2),
         python-futurist (>= 0.11.0),
         python-glance-store (>= 0.18.0),
         python-httplib2 (>= 0.7.5),
         python-iso8601 (>= 0.1.11),
         python-jsonpatch (>= 1.1),
         python-jsonschema (>= 2.0.0),
         python-keystoneauth1 (>= 2.10.0),
         python-keystonemiddleware (>= 4.2.0),
         python-microversion-parse (>= 0.1.2),
         python-monotonic (>= 0.6),
         python-openssl (>= 0.14),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-oslo.versionedobjects (>= 1.13.0),
         python-osprofiler (>= 1.4.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-retrying (>= 1.2.3),
         python-routes (>= 1.12.3),
         python-semantic-version (>= 2.3.1),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-webob (>= 1.2.3),
         python-wsme (>= 0.8),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Artifact Repository - Python 2.7 library
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

Package: glare-api
Architecture: all
Depends: adduser,
         glare-common (= ${source:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack Artifact Repository - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glare API server.

Package: glare-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-glare (= ${source:Version}),
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Artifact Repository - common files
 Glare (from GLare Artifact REpository) is a service that provides access
 to a unified catalog of structured meta-information as well as related
 binary data (these structures are also called 'artifacts').
 .
 This package contains common files for Glare.

## glare 0.2.1

=== requirements.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
 oslo.log>=3.11.0 # Apache-2.0
 oslo.messaging>=5.2.0 # Apache-2.0
 oslo.middleware>=3.0.0 # Apache-2.0
-oslo.policy>=1.9.0 # Apache-2.0
+oslo.policy>=1.14.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.versionedobjects>=1.13.0 # Apache-2.0

=== debian/changelog ===
glare (0.2.1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:37:21 +0100

glare (0.2.1-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release. 
  * d/control: Align dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 15:17:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: glare
 Section: net
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Ivan Udovichenko <iudovichenko@mirantis.com>,
            Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 10),
@@ -31,10 +32,10 @@
                      python-mock (>= 2.0),
                      python-monotonic (>= 0.6),
                      python-mox3 (>= 0.7.0),
-                     python-mysqldb (>= 0.6.2),
+                     python-pymysql (>= 0.6.2),
                      python-openssl (>= 0.14),
-                     python-os-api-ref,
-                     python-os-testr (>= 0.7.0),
+                     python-os-api-ref (>= 1.0.0),
+                     python-os-testr (>= 0.8.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.context (>= 2.9.0),
@@ -43,28 +44,28 @@
                      python-oslo.log (>= 3.11.0),
                      python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 1.9.0),
+                     python-oslo.policy (>= 1.14.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
                      python-oslo.utils (>= 3.16.0),
                      python-oslo.versionedobjects (>= 1.13.0),
-                     python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslosphinx (>= 4.7.0),
+                     python-oslotest (>= 1.10.0),
                      python-osprofiler (>= 1.4.0),
                      python-paste,
                      python-pastedeploy (>= 1.5.0),
                      python-psutil (>= 1.1.1),
                      python-psycopg2 (>= 2.5),
+                     python-sendfile (>= 2.0.0),
                      python-qpid,
                      python-reno,
                      python-requests (>= 2.10.0),
                      python-retrying (>= 1.2.3),
                      python-routes (>= 1.12.3),
                      python-semantic-version (>= 2.3.1),
-                     python-sendfile (>= 2.0.0),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-swiftclient (>= 2.2.0),
+                     python-swiftclient (>= 1:2.2.0),
                      python-testrepository (>= 0.0.18),
                      python-testresources (>= 0.2.4),
                      python-testscenarios (>= 0.4),
@@ -73,8 +74,8 @@
                      python-wsme (>= 0.8),
                      python-xattr (>= 0.4),
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-glare?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-glare -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glare
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glare
 Homepage: https://github.com/openstack/glare
 
 Package: python-glare
@@ -118,7 +119,7 @@
          python-webob (>= 1.2.3),
          python-wsme (>= 0.8),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Artifact Repository - Python 2.7 library
  The Glance project provides services for discovering, registering, and
  retrieving virtual machine images over the cloud. They may be stand-alone
@@ -135,7 +136,7 @@
          q-text-as-data,
          ${misc:Depends},
          ${ostack-lsb-base},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Artifact Repository - API server
  The Glance project provides services for discovering, registering, and
  retrieving virtual machine images over the cloud. They may be stand-alone
@@ -151,7 +152,7 @@
          python-glare (= ${source:Version}),
          q-text-as-data,
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Artifact Repository - common files
  Glare (from GLare Artifact REpository) is a service that provides access
  to a unified catalog of structured meta-information as well as related

## glare 0.4.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
WebOb>=1.7.1 # MIT
httplib2>=0.7.5 # MIT
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
futurist!=0.15.0,>=0.11.0 # Apache-2.0
keystoneauth1>=3.1.0 # Apache-2.0
keystonemiddleware>=4.12.0 # Apache-2.0
python-memcached>=1.56 # PSF
WSME>=0.8 # MIT
PyJWT>=1.0.1 # MIT
cryptography!=2.0,>=1.6 # BSD/Apache-2.0

# For paste.util.template used in keystone.common.template
Paste # MIT

jsonpatch>=1.1 # BSD
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
pyOpenSSL>=0.14 # Apache-2.0
# Required by openstack.common libraries
six>=1.9.0 # MIT

oslo.db>=4.24.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.middleware>=3.27.0 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.versionedobjects>=1.17.0 # Apache-2.0

retrying!=1.3.0,>=1.2.3 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0

# Glance Store
glance-store>=0.22.0 # Apache-2.0

# Artifact repository
microversion-parse>=0.1.2 # Apache-2.0
semantic-version>=2.3.1 # BSD

# timeutils
iso8601>=0.1.11 # MIT
monotonic>=0.6 # Apache-2.0

=== debian/changelog ===
glare (0.4.1-3ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Update gbp configuration file.
    - d/control: Update Vcs-* links and maintainers.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Dec 2017 11:13:33 +0000

glare (0.4.1-3) unstable; urgency=medium

  * Fixed requires internet access during the build (Closes: #882535).

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Dec 2017 13:19:38 +0000

glare (0.4.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Updated fr.po (Closes: #876309).
  * Updated pt.po (Closes: #876171).

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 09:55:18 +0000

glare (0.4.1-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Remove SQLAlchemy version patch.
  * Remove b-dependency on dh-systemd.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Oct 2017 18:58:48 +0200

=== debian/control ===
Source: glare
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-alembic (>= 0.8.10),
 python-babel,
 python-bandit,
 python-coverage,
 python-cryptography,
 python-eventlet,
 python-fixtures,
 python-futurist,
 python-glance-store (>= 0.22.0),
 python-hacking,
 python-httplib2,
 python-iso8601,
 python-jsonpatch,
 python-jsonschema,
 python-jwt,
 python-keystoneauth1 (>= 3.1.0),
 python-keystonemiddleware (>= 4.12.0),
 python-memcache,
 python-microversion-parse,
 python-mock,
 python-monotonic,
 python-mox3,
 python-mysqldb,
 python-openssl,
 python-os-api-ref,
 python-os-testr (>= 0.8.0),
 python-oslo.concurrency (>= 3.8.0),
 python-oslo.config (>= 1:4.0.0),
 python-oslo.context (>= 2.14.0),
 python-oslo.db (>= 4.24.0),
 python-oslo.i18n,
 python-oslo.log (>= 3.22.0),
 python-oslo.messaging (>= 5.24.2),
 python-oslo.middleware (>= 3.27.0),
 python-oslo.policy (>= 1.23.0),
 python-oslo.serialization,
 python-oslo.service (>= 1.10.0),
 python-oslo.utils (>= 3.20.0),
 python-oslo.versionedobjects,
 python-oslosphinx,
 python-oslotest (>= 1:1.10.0),
 python-osprofiler,
 python-paste,
 python-pastedeploy,
 python-psutil,
 python-psycopg2,
 python-qpid,
 python-reno,
 python-requests (>= 2.14.2),
 python-retrying,
 python-routes,
 python-semantic-version,
 python-sendfile (>= 2.0.0),
 python-six,
 python-sqlalchemy,
 python-swiftclient (>= 1:3.2.0),
 python-testresources,
 python-testscenarios,
 python-testtools,
 python-webob (>= 1.7.1),
 python-wsme,
 python-xattr,
 subunit,
 testrepository,
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/services/glare.git
Vcs-Git: https://anonscm.debian.org/git/openstack/services/glare.git
Homepage: https://github.com/openstack/glare

Package: glare-api
Architecture: all
Depends:
 adduser,
 glare-common (= ${source:Version}),
 python-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack Artifact Repository - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glare API server.

Package: glare-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python-glare (= ${source:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Artifact Repository - common files
 Glare (from GLare Artifact REpository) is a service that provides access
 to a unified catalog of structured meta-information as well as related
 binary data (these structures are also called 'artifacts').
 .
 This package contains common files for Glare.

Package: python-glare
Architecture: all
Section: python
Depends:
 python-alembic (>= 0.8.10),
 python-cryptography,
 python-eventlet,
 python-futurist,
 python-glance-store (>= 0.22.0),
 python-httplib2,
 python-iso8601,
 python-jsonpatch,
 python-jsonschema,
 python-jwt,
 python-keystoneauth1 (>= 3.1.0),
 python-keystonemiddleware (>= 4.12.0),
 python-memcache,
 python-microversion-parse,
 python-monotonic,
 python-openssl,
 python-oslo.concurrency (>= 3.8.0),
 python-oslo.config (>= 1:4.0.0),
 python-oslo.context (>= 2.14.0),
 python-oslo.db (>= 4.24.0),
 python-oslo.i18n,
 python-oslo.log (>= 3.22.0),
 python-oslo.messaging (>= 5.24.2),
 python-oslo.middleware (>= 3.27.0),
 python-oslo.policy (>= 1.23.0),
 python-oslo.serialization,
 python-oslo.service (>= 1.10.0),
 python-oslo.utils (>= 3.20.0),
 python-oslo.versionedobjects,
 python-osprofiler,
 python-paste,
 python-pastedeploy,
 python-pbr (>= 2.0.0),
 python-retrying,
 python-routes,
 python-semantic-version,
 python-six,
 python-sqlalchemy,
 python-webob (>= 1.7.1),
 python-wsme,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Artifact Repository - Python 2.7 library
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make


%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.upstart debian/*.service
	rm -f debian/glare-common.postinst debian/glare-common.config debian/glare-api.config debian/glare-api.postinst
	rm -rf build

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glare-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glare-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glare-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glare-api.postinst


override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit --parallel 'glare\.tests\.unit(?!.*test_store_api\.TestStoreAPI\.test_read_data.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
        done
endif

override_dh_auto_install:
	echo "Please do nothing"

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	echo "No doc for now."
#	sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/glare-doc/usr/share/doc/glare-doc/html
#	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	mkdir -p $(CURDIR)/debian/glare-common/usr/share/glare-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glare-common/usr/share/glare-common/glare.conf \
                --wrap-width 140 \
		--namespace glare \
		--namespace glance.store \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy

	# Set a valid default. /tmp is a security problem.
	pkgos-fix-config-default $(CURDIR)/debian/glare-common/usr/share/glare-common/glare.conf oslo_concurrency lock_path /var/lock/glare

	cp etc/glare-paste.ini $(CURDIR)/debian/glare-common/usr/share/glare-common
	cp etc/glare-swift.conf.sample $(CURDIR)/debian/glare-common/usr/share/glare-common/glare-swift.conf

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install -O--buildsystem=python_distutils --fail-missing

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/glare/tags .*/(\d[\d\.]+)\.tar\.gz

## glare 0.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
WebOb>=1.7.1 # MIT
httplib2>=0.9.1 # MIT
oslo.config>=4.6.0 # Apache-2.0
oslo.concurrency>=3.20.0 # Apache-2.0
oslo.context!=2.19.1,>=2.14.0 # Apache-2.0
oslo.service>=1.24.0 # Apache-2.0
oslo.utils>=3.28.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0
keystoneauth1>=3.2.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
python-memcached>=1.56 # PSF
WSME>=0.8.0 # MIT
PyJWT>=1.0.1 # MIT
cryptography!=2.0,>=1.9 # BSD/Apache-2.0

# For paste.util.template used in keystone.common.template
Paste>=2.0.2 # MIT

jsonpatch>=1.16 # BSD
jsonschema<3.0.0,>=2.6.0 # MIT
pyOpenSSL>=16.2.0 # Apache-2.0
# Required by openstack.common libraries
six>=1.9.0 # MIT

oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.versionedobjects>=1.28.0 # Apache-2.0

retrying!=1.3.0,>=1.2.3 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0

# Glance Store
glance-store>=0.22.0 # Apache-2.0

# Artifact repository
microversion-parse>=0.1.2 # Apache-2.0
semantic-version>=2.3.1 # BSD

# timeutils
iso8601>=0.1.11 # MIT
monotonic>=0.6 # Apache-2.0

=== debian/changelog ===
glare (0.5.0-4ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Update gbp configuration file.
    - d/control: Update Vcs-* links and maintainers.
    - d/rules: Disable Python 3.7 unit tests as glare doesn't support it,
      and switch to oslo-config-generator and oslopolicy-sample-generator
      as they are py3-only now.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jul 2019 10:12:38 -0400

glare (0.5.0-4) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:32:05 +0000

glare (0.5.0-3) unstable; urgency=medium

  * Dropped debconf templates, using openstack-pkg-tools >= 70~.
  * Fixed generating policy.json with --format json.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Mar 2018 16:40:17 +0000

glare (0.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 12:36:56 +0000

glare (0.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Switched to Python 3.
  * Fixed debian/copyright holder list and years.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2018 22:28:14 +0000

glare (0.4.1-4) unstable; urgency=medium

  [ David Rabel ]
  * Team upload.
  * Fix encoding in d/po/pt.po.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 12:44:02 +0000

=== debian/control ===
Source: glare
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 74~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-alembic (>= 0.8.10),
 python3-babel,
 python3-bandit,
 python3-coverage,
 python3-cryptography (>= 1.9),
 python3-eventlet,
 python3-fixtures,
 python3-futurist (>= 1.2.0),
 python3-glance-store (>= 0.22.0),
 python3-hacking,
 python3-httplib2,
 python3-iso8601,
 python3-jsonpatch (>= 1.19+really1.16),
 python3-jsonschema (>= 2.6.0),
 python3-jwt,
 python3-keystoneauth1 (>= 3.2.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-memcache,
 python3-microversion-parse,
 python3-mock,
 python3-monotonic,
 python3-mox3 (>= 0.20.0),
 python3-mysqldb,
 python3-openssl,
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:4.6.0),
 python3-oslo.context (>= 2.14.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.23.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.28.0),
 python3-oslo.versionedobjects (>= 1.28.0),
 python3-oslosphinx,
 python3-oslotest (>= 1:1.10.0),
 python3-osprofiler,
 python3-paste,
 python3-pastedeploy,
 python3-psutil,
 python3-psycopg2 (>= 2.6.2),
 python3-reno,
 python3-requests (>= 2.14.2),
 python3-retrying,
 python3-routes,
 python3-semantic-version,
 python3-sendfile (>= 2.0.0),
 python3-six,
 python3-sqlalchemy,
 python3-swiftclient (>= 1:3.2.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools,
 python3-webob (>= 1.7.1),
 python3-wsme,
 python3-xattr (>= 0.9.1),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glare
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glare
Homepage: https://github.com/openstack/glare

Package: glare-api
Architecture: all
Depends:
 adduser,
 glare-common (= ${source:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Artifact Repository - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glare API server.

Package: glare-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-glare (= ${source:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Artifact Repository - common files
 Glare (from GLare Artifact REpository) is a service that provides access
 to a unified catalog of structured meta-information as well as related
 binary data (these structures are also called 'artifacts').
 .
 This package contains common files for Glare.

Package: python3-glare
Architecture: all
Section: python
Depends:
 python3-alembic (>= 0.8.10),
 python3-cryptography (>= 1.9),
 python3-eventlet,
 python3-futurist (>= 1.2.0),
 python3-glance-store (>= 0.22.0),
 python3-httplib2,
 python3-iso8601,
 python3-jsonpatch (>= 1.19+really1.16),
 python3-jsonschema (>= 2.6.0),
 python3-jwt,
 python3-keystoneauth1 (>= 3.2.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-memcache,
 python3-microversion-parse,
 python3-monotonic,
 python3-openssl,
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:4.6.0),
 python3-oslo.context (>= 2.14.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.23.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.28.0),
 python3-oslo.versionedobjects (>= 1.28.0),
 python3-osprofiler,
 python3-paste,
 python3-pastedeploy,
 python3-pbr (>= 2.0.0),
 python3-retrying,
 python3-routes,
 python3-semantic-version,
 python3-six,
 python3-sqlalchemy,
 python3-webob (>= 1.7.1),
 python3-wsme,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-glare,
Description: OpenStack Artifact Repository - Python 2.7 library
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
	rm -f debian/glare-common.postinst debian/glare-common.config debian/glare-api.config debian/glare-api.postinst debian/glare-common.postrm
	rm -rf build

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glare-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glare-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glare-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glare-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm glare-common.postrm
	pkgos-merge-templates glare-api glare endpoint
	pkgos-merge-templates glare-common glare db rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Skip Python 3.7 tests until Glare supports it - https://bugs.launchpad.net/glare/+bug/1837778
	if [ -x /usr/bin/python3.6 ] ; then \
		rm -rf .testrepository ; \
		/usr/bin/testr-python3 init ; \
		TEMP_REZ=$(mktemp -t) ; \
		PYTHON=python3.6 /usr/bin/testr-python3 run --parallel --subunit 'glare\.tests\.unit(?!(.*test_store_api\.TestStoreAPI\.test_read_data.*|.*test_wsgi\.RequestTest\.test_best_match_language_unknown.*|.*test_wsgi\.ResourceTest\.test_translate_exception.*))' | tee ${TEMP_REZ} | subunit2pyunit ; \
		cat ${TEMP_REZ} | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f ${TEMP_REZ} ; \
		${TESTR} slowest ; \
		rm -rf .testrepository ; \
	fi
endif
	mkdir -p $(CURDIR)/debian/glare-common/usr/share/glare-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glare-common/usr/share/glare-common/glare.conf \
                --wrap-width 140 \
		--namespace glare \
		--namespace glance.store \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/glare-common/usr/share/glare-common/glare.conf keystone_authtoken glare

	# Set a valid default. /tmp is a security problem.
	pkgos-fix-config-default $(CURDIR)/debian/glare-common/usr/share/glare-common/glare.conf oslo_concurrency lock_path /var/lock/glare

	cp etc/glare-paste.ini $(CURDIR)/debian/glare-common/usr/share/glare-common
	cp etc/glare-swift.conf.sample $(CURDIR)/debian/glare-common/usr/share/glare-common/glare-swift.conf

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/glare-common/usr/share/glare-common/policy.json \
		--format json \
		--namespace=glare

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	echo "No doc for now."
#	sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/glare-doc/usr/share/doc/glare-doc/html
#	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## glare dev-0.0.5

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0

SQLAlchemy<1.1.0,>=1.0.10 # MIT
alembic>=0.8.4  # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
WebOb>=1.2.3 # MIT
httplib2>=0.7.5 # MIT
oslo.config>=3.10.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.context>=2.4.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.14.0 # Apache-2.0
futurist>=0.11.0 # Apache-2.0
keystoneauth1>=2.7.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
WSME>=0.8 # MIT

# For paste.util.template used in keystone.common.template
Paste # MIT

jsonpatch>=1.1 # BSD
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
pyOpenSSL>=0.14 # Apache-2.0
# Required by openstack.common libraries
six>=1.9.0 # MIT

oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.versionedobjects>=1.13.0 # Apache-2.0

retrying!=1.3.0,>=1.2.3 # Apache-2.0
osprofiler>=1.3.0 # Apache-2.0

# Glance Store
glance-store>=0.13.0 # Apache-2.0

# Artifact repository
microversion-parse>=0.1.2 # Apache-2.0
semantic-version>=2.3.1 # BSD

# timeutils
iso8601>=0.1.11 # MIT
monotonic>=0.6 # Apache-2.0
